Description

It would be good that when 'Refine current rule' is used that the refinements respect the original rule that they are based on.

For example, for a road dataset, if a rule is used to exclude unsealed roads then a categorised refinement of that rule should not create

classifications that include unsealed roads.

Related issues:

Duplicated by QGIS Application - Bug report # 10815: refine rules (add ranges... Closed 2014-07-05

History

#1 - 2014-06-20 08:42 AM - Jürgen Fischer

- Category set to GUI

#2 - 2014-07-05 03:59 AM - baditaflorin -

I had the same poblem and i was able to do this using the CASE conditionals

CASE WHEN  "pntcnt" <50 THEN  "pntcnt"  END

And my rule was to show only pntcnt that are lower then 50

#3 - 2014-07-05 05:05 AM - baditaflorin -

But this only work for <

if you try = or > is not working

#4 - 2014-07-07 08:44 AM - Giovanni Manghi

ticket #10815 is about a different thing: expression in rule based symbology are written in a wrong way, at least when used to refine rules, see #10815-7

#5 - 2015-10-12 12:46 AM - Nyall Dawson

More detail in #11914

#6 - 2016-10-27 03:40 PM - Donovan Cameron

- File Adding_ranges_to_rule-based_style_includes_entire_range_instead_of_the_rule_defined.png added
This would be a great improvement to see! I've attached a screen shot to help illustrate the problem.

Also, if the "Label" that shows up in the layer list was styled with just the ranges. Otherwise it creates a large label.

Maybe it could create the label similarly to how it's created when using just the "graduated" style.

Currently (it includes the expression!):

"column" >= 0 AND "column" <= 1

"column" >= 1 AND "column" <= 4

"column" >= 4 AND "column" <= 8

or

(CASE WHEN "unique_value_column" = "value" THEN "column" END) >= 0 AND (CASE WHEN "unique_value_column" = "value" THEN "column" END)

<= 1

(CASE WHEN "unique_value_column" = "value" THEN "column" END) >= 1 AND (CASE WHEN "unique_value_column" = "value" THEN "column" END)

<= 4

(CASE WHEN "unique_value_column" = "value" THEN "column" END) >= 4 AND (CASE WHEN "unique_value_column" = "value" THEN "column" END)

<= 8

Preferred (in a simplified manner):

0 - 1

1 - 4

4 - 8

The preferred type is better for when viewing in the map canvas and trying to create an actual map with a legend.

#7 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
